import numpy as np

from pyne.cccc import Atflux
from pyne.mesh import Mesh, IMeshTag

sc = [np.linspace(-120, 120, 49),
      np.linspace(-120, 120, 49),
      np.linspace(0, 350, 71)]

m = Mesh(structured=True, structured_coords=sc, mats=None)

at = Atflux("atflux")
at.to_mesh(m, "flux")

m.flux = IMeshTag(217, float)
m.mesh.save("adj_n.h5m")

