import os
from setuptools import setup

# Utility function to read the README file.
# Used for the long_description.  It's nice, because now 1) we have a top level
# README file and 2) it's easier to type in the README file than to put a raw
# string in below ...
def read(fname):
    return open(os.path.join(os.path.dirname(__file__), fname)).read()

setup(
    name = "gtcadis_tools",
    version = "0.0.1",
    author = "Elliott Biondo",
    author_email = "biondo@wisc.edu",
    description = ("Tools for GT-CADIS"),
    license = "BSD",
    packages=['gtcadis_tools'],
    data_files=[('gtcadis_tools/data', ['gtcadis_tools/data/nuclib', 
                                        'gtcadis_tools/data/fendl3bin.gam',
                                        'gtcadis_tools/data/fendl3bin.lib'])],
    zip_safe=False
)
